<form [formGroup]="searchForm"
      class="form"
>
  <input (onEnter)="submit()"
         [autocomplete]="'off'"
         [solidifyDataTest]="dataTestEnum.homeSearchInput"
         [formControl]="formControl"
         [placeholder]="labelToTranslate | translate"
         class="input"
         matInput
         solidifyShortCuts
  >
  <button (click)="submit()"
          *ngIf="!isValuePresent()"
          aria-label="Search"
          mat-icon-button
          type="button"
  >
    <solidify-icon [iconName]="iconNameEnum.search"
                   class="size-16"
    ></solidify-icon>
  </button>
  <button (click)="clean()"
          *ngIf="isValuePresent()"
          aria-label="Clear"
          mat-icon-button
          type="button"
  >
    <solidify-icon [iconName]="iconNameEnum.close"
    ></solidify-icon>
  </button>
</form>
